Get Assets
Retrieve the list of assets for one or more organizations, considering filtering and pagination query parameters. When an organization-level OAuth2 scope is provided, the results will be restricted to those organizations the user is authorized for. Similarly, if a listing- level OAuth2 scope is provided, the results will be restricted to those listings the user is authorized for. Additional query parameters generally restrict the resulting set of assets according to AND semantics. Use of organizationUid and listingUid query parameters will further restrict the results. If neither are specified, the returned assets are the set of assets the user is allowed to access with organization OR listing specific privileges. If listing UIDs are supplied without organization UIDs, then only the assets assigned to those listings (which the user is authorized for) will be returned. Conversely, if organization UIDs are supplied without listing UIDs, then only the assets owned by those organizations (which the the user is authorized for) will be returned. Should both organization UIDs and listing UIDs be supplied, then the set of assets returned is restricted to assets assigned to any of the supplied listings, AND owned by any of the supplied organizations, further restricted to only those the user is authorized to access. Researcher users are restricted to only viewing credentials of in scope assets for listings to which they have been assigned.
Authorizations
Scopes
Query Parameters
Optional query parameter to get host assets which are discovered by cloudEnumeration scanner shifted by maxHostDiscoveryAgeMins. Assets which are added via boss or discovered by other type of scanners will be included in response. E.g. CloudEnumeration hosts are valid for 1 hour from each time they are discovered, maxHostDiscoveryAgeMins=0 means that if the end time of the relationship has passed, the asset will not be returned - maxHostDiscoveryAgeMins=60 however, would return assets that were still valid 60 minutes ago
Restrict the returned assets to only assets associated to listings by the specified scopes.
Set to in-scope means automated and manual testing should occur; out-of-scope means automated and manual testing must not occur; discovered means observed through automated discovery and may be automatically removed if not observed again during subseqent discovery activities.
in, out, discovered, blocked Response
Paginated assets.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5